# Generated by rust2rpm 22
%bcond_without check

%global crate emuman

%global forgeurl https://github.com/tuffy/emuman
%global commit fa772f13658ca1cc1bc4947620da533005358fe9

Name:           rust-emuman
Version:        2.1.0
Release:        %autorelease
Summary:        Utility for managing emulator ROM files

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/emuman
Source:         %{crates_source}
Source:         %{forgeurl}/raw/%{commit}/LICENSE-APACHE
Source:         %{forgeurl}/raw/%{commit}/LICENSE-MIT
# Manually created patch for downstream crate metadata changes
# - bump attohttpc to 0.22: https://github.com/tuffy/emuman/pull/2
Patch:          emuman-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
# emuman depends attohttpc which depends on ring, which does not support s390x
# and ppc64le: https://bugzilla.redhat.com/show_bug.cgi?id=1869980
ExcludeArch:    s390x %{power64}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Utility for managing emulator ROM files.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Effective license calculation:
#   (0BSD or MIT or ASL 2.0) and (Apache-2.0 OR BSL-1.0) and ASL 2.0 and 
#   (ASL 2.0 or MIT) and BSD and MIT and (MIT OR Apache-2.0) and 
#   ((MIT OR Apache-2.0) AND Unicode-DFS-2016) and (MIT or ASL 2.0) and
#   (MIT or ASL 2.0 or zlib) and (MIT or zlib or ASL 2.0) and MPL-2.0 and
#   (Unlicense or MIT) and (zlib or ASL 2.0 or MIT)
License:        ASL 2.0 and BSD and MIT and MPL-2.0 and Unicode-DFS-2016

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{_bindir}/emuman

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp -p %SOURCE1 %SOURCE2 .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
